// Soubor ref.cs
// Ukazuje pedvn parametr hodnotou a odkazem
// Metoda swap() se sna prohodit obsahu parametr, ale protoe se j pedvaj hodnotou, nefunguje.
// Metoda swap1() se sna o tot, a protoe se j pedvaj parametry odkazem, funguje.

using System;


class PedvnParametr
{
	public static void swap(int a, int b)					// Nefunguje, parametry se pedvaj hodnotou
	{
		int c = a;
		a = b;
		b = c;
	}
	public static void swap1(ref int a, ref int b)		// Funguje, parametry se pedvaj odkazem
	{
		int c = a;
		a = b;
		b = c;
	}

	private static int x = 55, y = 11;
	static void Main(string[] args)
	{
		//int x = 55, y = 11;
		Console.WriteLine("Hodnoty promnnch ped prohozenm: x = "+x+", y = "+ y);
		swap(x, y);
		Console.WriteLine("Hodnoty promnnch po prohozen - swap: x = "+x+", y = "+ y);
		swap1(ref x, ref y);		// Nutno pedvat ref x, ref y
		Console.WriteLine("Hodnoty promnnch po prohozen - swap1: x = "+x+", y = "+ y);
	}
}

