/* Soubor Analzya.cs
 * analza textu: Program pete text ukonen Ctrl+Z
 * rozlo ho na jednotliv slova, vylo slova, kter
 * se opakuj, a pak slova sead podle abecedy a vype.
/*   

using System;
//using NafukovacPole=System.Collections.ArrayList;
using System.Collections;


// Tato tda se star o analzu textu
class Analyztor
{
	private const string MEZERY = " \n\r\t\v";	// Oddlovae slov v textu

	public int PeskoMezery(string dek, int od)	// Pesko mezery v textu, najde dal slovo nebo konec dku
	{						// a vrt index prvnho znaku slova nebo -1,
		if(od >= dek.Length){ return -1;}	// naraz-li na konec dku

		while(MEZERY.IndexOf(dek[od])>=0)
		{
			if(++od == dek.Length) {return -1;};
		}
		return od;
	}

	public void Analyzuj(string dek, Slovnk slovnk)	// Vklastn analza
	{
		if(dek == "") return;
		int i = 0;
		
		System.Text.StringBuilder slovo = null;		
		i = PeskoMezery(dek, i);
		while(i >= 0)
		{
			slovo = new System.Text.StringBuilder("");
			while((i < dek.Length) && (MEZERY.IndexOf(dek[i]) == -1))		
			{
				slovo.Append(dek[i++]);
			}
			slovnk.Vlo(slovo.ToString());
			i = PeskoMezery(dek, i);
		}
	}
}

class Slovnk 						// Adaptr, kter vyuv podkladov kontejner, zde ArrayList
{
	private ArrayList np = new ArrayList();
	public void Vlo(string slovo)
	{
		if(np.IndexOf(slovo) == -1)
		{
			np.Add(slovo);
		}
	}
	public void Vpis()				// Vpis celho slovnku
	{						// Pouv enumertory
		System.Collections.IEnumerator i = np.GetEnumerator();
		while(i.MoveNext())
		{
			Console.WriteLine(i.Current);
		}
	}
	public void Sea()				// Seazen dle abecedy
	{						// Uv metodu podkladovho kontejneru
		np.Sort();
	}
}


// Vlastn program - jen metoda Main
public class Program
{
	public static void Main()
	{
		Analyztor a = new Analyztor();
		Slovnk slovnk = new Slovnk();
		string dek = Console.ReadLine();
			
		while(dek != null)
		{
			dek = dek.Trim();
			a.Analyzuj(dek, slovnk); 
			dek = Console.ReadLine();
		}
		slovnk.Sea();
		slovnk.Vpis();
		//Console.Read();
	}
}
