// Soubor Kalen.cs
// Program pete datum jako ti cel sla a vypote, kolik dn
// od potku roku ubhlo.
//
// Pouv VV.DLL, take nutno pekldat pkazem
// csc /r: VV.DLL kalen.cs

using System;

class Kalend
{
	int[] msce = {31,28,31,30,31,30,31,31,30,31,30,31};
	int[] dny = new int[12];
	public Kalend()
	{	// Konstruktor ulo do pole dny poty dn, kter obhly do zatku odpovdajcto msce
		int i = 1;
		while(i < dny.Length)
		{
			dny[i] = dny[i-1]+msce[i-1];
			++i;
		}
	}

	public bool Pestupn(int rok)	// Je dan rok pestupn?
	{
		if((rok%4 == 0) && (rok%100 != 0) || (rok%400 == 0))
		{return true;}
		else {return false;}
	}
	
	public int sloDne(int den, int msc, int rok)	// Zjist slo dne
	{
		int d = dny[msc-1]+den;
		if(Pestupn(rok) && msc > 2) ++d;
		return d;
	}
}

public class Program
{
	public static void Main()
	{
		int d, m, r;
		Console.WriteLine("Zadej den, msc a rok: ");
		d = VV.InInt();
		m = VV.InInt();
		r = VV.InInt();
		Kalend k = new Kalend();
		Console.WriteLine(""+d+". "+m+". "+r+" uplynulo "+k.sloDne(d, m, r)+" dn od potku roku");
	}
}