// Soubor deleg.cs
// ukazuje pouit delegt
//
// TdaFiltr je tda, kter obsahuje metodu HkyArky,
// kter vrac true, dostane-li jako parametr esk nebo slovensk znak s diakritickm znamnkem, jinak vrac false.
//
// Ve 2. dku deklarujeme delegt, kter me odkazovat ne metodu typu bool s jednm parametrem typu char.
//
// Ve td Program deklarujeme metodu Dozor, kter m jako druh parametr delegt "schvaluji" naeho typu. 
// Tato metoda dostane jako parametr znakov etzec a vrt etzec, kter obsahuje jen znaku 
// vyhovujc filtru zadanmu delegtem.
//
// V metod main nejprve vytvome instanci tdy TdaFiltr, pak vytvome delegt odkazujc na 
// metodu HkuArky a ten pednme metod Dozor, kter vrt pefiltrovan etzec.

using System;
public delegate bool Filtr(char s);

public class TdaFiltr
{
	private string Ha = "؊ݎž";
	public bool HkyArky(char c)
	{
		return (Ha.IndexOf(c) != -1);
	}
	// A dal metody...
}

public class Program
{
	public static string Peber(string s, Filtr schvaluji)
	{
		System.Text.StringBuilder vsledek = new System.Text.StringBuilder("");
		for(int i = 0; i < s.Length; i++)
			if(schvaluji(s[i]))vsledek.Append(s[i]);
		return vsledek.ToString();
	}
	public static void Main()
	{
		Console.WriteLine("Napi njak text: ");
		string s = Console.ReadLine();
		TdaFiltr tf = new TdaFiltr();
		Filtr f = new Filtr(tf.HkyArky);
		s = Peber(s, f);
		System.Console.WriteLine(s);
	}
}