// Soubor Cislo.cs
// Ukazuje pedefinovn metody v potomkovi 
// BEZ POZDN VAZBY,
// tedy s pouitm modifiktoru new
// Vedle toho ukazuje voln konstruktoru pedka
// a voln metody pedka z metody potomka.
using System;
public class slo			// Tda zapouzdujc int
{
	protected int slo;
	public slo(int n)
	{
		slo = n;
	}
	public long Faktoril()	// Vpoet faktorilu, nehld peteen
	{
		long s = 1;
		for(int i = 2; i <= slo; i++) s *= i;
		return s;
	}
    public long CifernSouet()
	{
		long s = 0;
		for(int x = Math.Abs(slo); x != 0; x /= 10)s += x%10;
		return s;
	}
}

public class Lepslo: slo	// Tot jako pedek, ale hld se peteen
{
	public Lepslo(int n)
		: base(n)				// Voln konstruktoru pedka
	{}
/*			
	new public long Faktoril() // NEFUNFUJE: Tohle neohld, zda nedolo k peteen
	{
		if(slo < 0)throw new Exception("Faktoril nen definovn");
		checked
		{
			return base.Faktoril();
		}
	}
*/
	new public long Faktoril()	// Hld se sprvnost vsledku: zporn parametr a peteen
	{
		if(slo < 0)throw new Exception("Faktoril nen definovn");
		long s = 1;
		checked 
		{
			for(int i = 2; i <= slo; i++) s *= i;
		}
		return s;
	}
}

class Program
{
	static void Main(string[] args)
	{
		Lepslo n1 = new Lepslo(23);
		slo n2 = new Lepslo(23);			 // Nebude se chovat polymorfn!!!!
		//Console.WriteLine(n1.Faktoril()); // Vyvol vjimku
		Console.WriteLine(n1.CifernSouet());
		Console.WriteLine(n2.Faktoril());	 // Nevyvol vjimku - vol se metoda pedka
	}
}
