/* Jednoduch metody pro vstup celch a relnch sel
  Peklad:
  
csc /t:library VV.cs

nebo

csc /target:library VV.cs
  
Vytvo se dynamick knihovna VV.dll  
*/

using System;
using System.Text;

public class VV
{
	static string dek = null;
	static int index = 0;
	static int dlka = 0;

	public static void tidek()
	{
		dek = Console.ReadLine();
		if(dek == null) throw new Exception("ten za koncem souboru.");
		index = 0;
		dlka = dek.Length;
	}

	public static void PeskoMezery()
	{
		while(index < dlka && dek[index] == ' ')
		{
			index++;
		}
	}

	public static string VraDalSlovo()
	{
		if(dek == null) tidek();
		PeskoMezery();
		while(index == dlka)
		{
			tidek();
			PeskoMezery();
		}
		StringBuilder slovo = new StringBuilder("");
		while(index < dlka && dek[index]!= ' ')
		{
			slovo.Append(dek[index++]);
		}
		return slovo.ToString();
	}
	
	// Pete a vrt etzec
	public static string InString()
	{
		if(dek == null) tidek();
		StringBuilder etzec = new StringBuilder("");
		while(index < dlka)
		{
			etzec.Append(dek[index++]);
		}
		return etzec.ToString();
	}
	
	// Pete a vrt cel slo
	public static int InInt()
	{
		return Convert.ToInt32(VraDalSlovo());
	}

	// Pete a vrt reln slo
	public static double InDouble()
	{
		return Convert.ToDouble(VraDalSlovo());
	}
}
