/* Soubor Analzya.cs
 * analza textu: Program pete text ukonen Ctrl+Z
 * rozlo ho na jednotliv slova, vylo slova, kter
 * se opakuj, a pak slova sead podle abecedy a vype.
 *
 *Od programu z kap. 4 (soubor Kap04\01\Analyza.cs)
 * se li pouze metoda Slovnk.Vpis(), kter pouv cyklus 
 * foreach.
/*   

using System;
//using NafukovacPole=System.Collections.ArrayList;
using System.Collections;


class Analyztor
{
	private const string MEZERY = " \n\r\t\v";

	public int PeskoMezery(string dek, int od)
	{
		if(od >= dek.Length){ return -1;}

		while(MEZERY.IndexOf(dek[od])>=0)
		{
			if(++od == dek.Length) {return -1;};
		}
		return od;
	}

	public void Analyzuj(string dek, Slovnk slovnk)
	{
		if(dek == "") return;
		int i = 0;
		
		System.Text.StringBuilder slovo = null;		
		i = PeskoMezery(dek, i);
		while(i >= 0)
		{
			slovo = new System.Text.StringBuilder("");
			while((i < dek.Length) && (MEZERY.IndexOf(dek[i]) == -1))		
			{
				slovo.Append(dek[i++]);
			}
			slovnk.Vlo(slovo.ToString());
			i = PeskoMezery(dek, i);
		}
	}
}

class Slovnk 
{
	private ArrayList np = new ArrayList();
	public void Vlo(string slovo)
	{
		if(np.IndexOf(slovo) == -1)
		{
			np.Add(slovo);
		}
	}
	public void Vpis()				// S pkazem foreach je to jednodu
	{
		foreach(string slovo in np)
			Console.Write(slovo + " ");
	}
	public void Sea()
	{
		np.Sort();
	}
}


public class Program
{
	public static void Main()
	{
		Analyztor a = new Analyztor();
		Slovnk slovnk = new Slovnk();
		string dek = Console.ReadLine();
			
		while(dek != null)
		{
			dek = dek.Trim();
			a.Analyzuj(dek, slovnk); 
			dek = Console.ReadLine();
		}
		slovnk.Sea();
		slovnk.Vpis();
		//Console.Read();
	}
}
